openSUSE Security Update : postgresql10 (openSUSE-2018-1460)

High Nessus Plugin ID 119137

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for postgresql10 fixes the following issues :

Security issue fixed :

- CVE-2018-16850: Fixed improper quoting of transition table names when pg_dump emits CREATE TRIGGER could have caused privilege escalation (bsc#1114837).

Non-security issues fixed :

- Update to release 10.6 :

- https://www.postgresql.org/docs/current/static/release-10-6.html

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected postgresql10 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1114837

https://www.postgresql.org/docs/current/release-10-6.html

Plugin Details

Severity: High

ID: 119137

File Name: openSUSE-2018-1460.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/11/26

Updated: 2018/12/19

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libecpg6, p-cpe:/a:novell:opensuse:libecpg6-32bit, p-cpe:/a:novell:opensuse:libecpg6-debuginfo, p-cpe:/a:novell:opensuse:libecpg6-debuginfo-32bit, p-cpe:/a:novell:opensuse:libpq5, p-cpe:/a:novell:opensuse:libpq5-32bit, p-cpe:/a:novell:opensuse:libpq5-debuginfo, p-cpe:/a:novell:opensuse:libpq5-debuginfo-32bit, p-cpe:/a:novell:opensuse:postgresql10, p-cpe:/a:novell:opensuse:postgresql10-contrib, p-cpe:/a:novell:opensuse:postgresql10-contrib-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-debugsource, p-cpe:/a:novell:opensuse:postgresql10-devel, p-cpe:/a:novell:opensuse:postgresql10-devel-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-libs-debugsource, p-cpe:/a:novell:opensuse:postgresql10-plperl, p-cpe:/a:novell:opensuse:postgresql10-plperl-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-plpython, p-cpe:/a:novell:opensuse:postgresql10-plpython-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-pltcl, p-cpe:/a:novell:opensuse:postgresql10-pltcl-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-server, p-cpe:/a:novell:opensuse:postgresql10-server-debuginfo, p-cpe:/a:novell:opensuse:postgresql10-test, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/11/24

Reference Information

CVE: CVE-2018-16850